"use strict";

/**
 * From https://github.com/rackt/react-router/blob/master/docs/guides/testing.md
 *
 *   var stubRouterContext = require('./stubRouterContext');
 *   var IndividualComponent = require('./IndividualComponent');
 *   var Subject = stubRouterContext(IndividualComponent, {someProp: 'foo'});
 *   React.render(<Subject/>, testElement);
 */

var React = require("react");
var _ = require("lodash");

var func = React.PropTypes.func;

var stubRouterContext = function stubRouterContext(Component, props, stubs) {
    return React.createClass({
        childContextTypes: {
            makePath: func,
            makeHref: func,
            transitionTo: func,
            replaceWith: func,
            goBack: func,
            getCurrentPath: func,
            getCurrentRoutes: func,
            getCurrentPathname: func,
            getCurrentParams: func,
            getCurrentQuery: func,
            isActive: func
        },

        getChildContext: function getChildContext() {
            return _.merge({}, {
                makePath: function makePath() {},
                makeHref: function makeHref() {},
                transitionTo: function transitionTo() {},
                replaceWith: function replaceWith() {},
                goBack: function goBack() {},
                getCurrentPath: function getCurrentPath() {},
                getCurrentRoutes: function getCurrentRoutes() {},
                getCurrentPathname: function getCurrentPathname() {},
                getCurrentParams: function getCurrentParams() {},
                getCurrentQuery: function getCurrentQuery() {},
                isActive: function isActive() {}
            }, stubs);
        },

        render: function render() {
            return React.createElement(Component, props);
        }
    });
};

module.exports = stubRouterContext;